=== debian/changelog ===
libfreenect (1:0.1.2+dfsg-6~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Applied additional patch from debian/patches/squeeze-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 22 May 2012 13:08:02 -0400

libfreenect (1:0.1.2+dfsg-6) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Make build system compatible with multiarch:
    - dont-postfix-to-install-libdir.patch becomes use-standard-libdir.patch
  * Bump debhelper compatibility level to 9.
  * Add multiarch support.
  * Remove useless section fields from debian/control.
  * Use dh_python2 instead of dh_pysupport.
  * Update manpages with keyboard shortcuts. (Closes: #663869)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 May 2012 12:55:02 -0400

libfreenect (1:0.1.2+dfsg-5) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Execute dh_numpy for python-freenect to fix lintian error
  * Bump policy version to 3.9.3 -- no changes
  * Update remove-libusb-include-from-exported-header.patch to fix warnings
    about undeclared struct timeval when using libfreenect.h

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Mar 2012 21:42:06 -0500

libfreenect (1:0.1.2+dfsg-4) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Improved the package description.
  * Drop outdated libglut3-dev from Build-Depends 
  * Add libfreenect-doc to the dependencies of freenect metapackage 
  * Remove the paragraph about conflict with kernel module in README.Debian 

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 19:00:15 -0500

libfreenect (1:0.1.2+dfsg-3) experimental; urgency=low

  [ Yaroslav Halchenko ]
  * Adding Replaces and Breaks for -bin package (Closes: #658712)
    Thanks to Andreas Beckman for the report
  * Respect 'nodoc' flag in DEB_BUILD_OPTIONS

  [ Nicolas Bourdaud ]
  * Fix execution on ARM platforms
    new patch: cameras-memcpy-structs-into-aligned-buffer.patch
  * Fix build on big endian platform
    new patch: build-on-big-endian-systems-again.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 Feb 2012 09:47:19 -0500

libfreenect (1:0.1.2+dfsg-2) experimental; urgency=low

  [ Nicolas Bourdaud ]
  * Move doxygen from Build-Depends-Indep to Build-Depends.
  * Revert libfreenect-demos to libdevel section

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Feb 2012 23:14:33 -0500

libfreenect (1:0.1.2+dfsg-1) experimental; urgency=low

  [ Nicolas Bourdaud ]
  * New upstream release (Closes: #653501)
  * Use libfreenect.0.0.udev file instead of custom install and postinst
    script to install udev rules.
  * Switch to source package format "3.0 (quilt)". Thus source code
    modifications have been converted into quilt patches:
      - New patch dont-install-into-include-subfolder.patch
      - New patch dont-postfix-to-install-libdir.patch
      - New patch modify-fakenect-install.patch
  * Add remove-libusb-include-from-exported-header.patch to drop the
    dependency of libfreenect-dev on libusb-1.0-dev.
  * Add correct-libusb-search-and-include.patch to adjust libusb include
    statements and fix cmake test of libusb.
  * Switch from cdbs to dh
  * Update SONAME from libfreenect0.0 to libfreenect0.1.
  * New patch: add-missing-libs.patch
  * Add -doc package.
  * Set Nicolas as maintainer and move Arne as uploader.
  * Rename libfreenect-demos into libfreenect-bin and add utilities to it.
  * Stop shipping static libraries
  * Update Vcs-* fields in debian/control
  
  [ Yaroslav Halchenko ]
  * python-freenect: Added module frame_convert.py within examples

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Tue, 31 Jan 2012 21:46:14 +0100

libfreenect (1:0.0.1+20101211+2-4~pre1) UNRELEASED; urgency=low

  * Added symbols file for libfreenect0.0

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Jan 2012 11:42:00 -0500

libfreenect (1:0.0.1+20101211+2-3) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * [03039eb] Remove useless explicit dependencies (e.g. libglut3) of
    binary packages (Closes: #616525)

  [ Yaroslav Halchenko ]
  * Moved GPL-2 license stud to a separate paragraph
  * Boosted policy compliance to 3.9.2 -- no changes
  * Moved numpy into Depends from Suggests (Closes: #641792)
  * Added Build-Depends on python-support and call to dh_pysupport in
    binary-install (Closes: #632062)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Jan 2012 22:24:06 -0500

libfreenect (1:0.0.1+20101211+2-2) unstable; urgency=low

  * Added freeglut3-dev as a leading alternative to libglut3-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 Jun 2011 09:36:02 -0400

libfreenect (1:0.0.1+20101211+2-1) unstable; urgency=low

  * Initial release for Debian (Closes: #606831)
  * Cherry-picked (into .orig.tar.gz) from upstream to resolve licensing
    issues:
    - [9cdc713] Removed old, unused kinect protocol documentation, as all
      info now exists on wiki and should be exported from there as needed
    - [3390f9b] Added BSD license into libusb-1.0 finder for compliance
    - [0a165cf] Carry pre-generated CONTRIB to be distributed/installed
      under /u/s/doc/*freenect* to fulfill upstream license requirement
  * [64cb9a2] debian/copyright: migrated to DEP5 format
    - added missing statement for cmake_modules/Findlibusb-1.0.cmake
  * [f34b2ea] added debian/blends and injected into the debian-science
    task files
  * [17eb497] pruning done debian/TODO items

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Feb 2011 16:57:13 -0500

libfreenect (1:0.0.1+20101211+1-2) UNRELEASED; urgency=low

  [ arnebe ]
  * [a20ff19] Added missing dependency to libfreenect0.0 in
    libfreenect-dev

  [ Yaroslav Halchenko ]
  * [2533ceb] Added missing dependency to udev in libfreenect0.0,

