=== debian/control ===
Source: libfreenect
Section: libdevel
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Uploaders: Arne Bernin <arne@alamut.de>, Yaroslav Halchenko <debian@onerussian.com>, Mark Renouf <mark.renouf@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake,  pkg-config, python-support,
 libusb-1.0-0-dev, freeglut3-dev, libxmu-dev, libxi-dev,
 python-dev, cython, python-numpy, doxygen
Standards-Version: 3.9.3
Homepage: http://openkinect.org/
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/libfreenect.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/libfreenect.git

Package: libfreenect0.1
Section: libs
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Conflicts: libfreenect
Description: library for accessing Kinect device
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package contains the shared library of libfreenect.

Package: libfreenect-dev
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, libfreenect0.1 (= ${binary:Version})
Description: library for accessing Kinect device -- development files
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This is the development package containing the libraries and header for
 software development with libfreenect.

Package: libfreenect-bin
Section: utils
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Replaces: libfreenect-demos (<< 1:0.1.2+dfsg-1)
Breaks: libfreenect-demos (<< 1:0.1.2+dfsg-1)
Description: library for accessing Kinect device -- utilities and samples
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package includes utilities and sample programs for kinect.

Package: libfreenect-demos
Architecture: any
Depends: neurodebian-popularity-contest, libfreenect-bin, ${misc:Depends}
Description: library for accessing Kinect device -- dummy package
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package is a metapackage to do the transition from libfreenect-demos
 to libfreenect-bin. This package can be removed after installation.

Package: libfreenect-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: library for accessing Kinect device -- documentation
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package contains the documentation of the API of libfreenect.

Package: python-freenect
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
         libfreenect0.1 (= ${binary:Version}), python-numpy
Suggests: python-matplotlib, python-opencv
Description: library for accessing Kinect device -- Python bindings
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This package provides freenect extension to use libfreenect functionality
 from Python and includes some demo scripts.

Package: freenect
Section: libs
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, libfreenect-bin, libfreenect-dev, libfreenect0.1,
 libfreenect-doc
Description: library for accessing Kinect device -- metapackage
 libfreenect is a cross-platform library that provides the necessary interfaces
 to activate, initialize, and communicate data with the Kinect hardware.
 Currently, the library supports access to RGB and depth video streams, motors,
 accelerometer and LED and provide binding in different languages (C++,
 Python...)
 .
 This library is the low level component of the OpenKinect project which is an
 open community of people interested in making use of the Xbox Kinect hardware
 with PCs and other devices.
 .
 This is the metapackage to install all components of the project.
