=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LDFLAGS=-Wl,-Bsymbolic-functions -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_PYTHON:Bool=True

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	doxygen debian/doxygen.conf
else
	: # Documentation was not built due to nodoc flag in DEB_BUILD_OPTIONS
	: # Creating dummy blank debian/html expected by -doc package
	mkdir -p debian/html
endif

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/bin/glview debian/tmp/usr/bin/freenect-glview
	mv debian/tmp/usr/bin/glpclview debian/tmp/usr/bin/freenect-glpclview
	mv debian/tmp/usr/bin/cppview debian/tmp/usr/bin/freenect-cppview

override_dh_pysupport:
	dh_pysupport -ppython-freenect
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-freenect; fi

override_dh_installdocs:
	dh_installdocs --all CONTRIB

override_dh_makeshlibs:
	dh_makeshlibs -Xfakenect

override_dh_clean:
	rm -rf debian/html
	dh_clean
