=== fakenect/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,13 @@
   VERSION ${PROJECT_VER}
   SOVERSION ${PROJECT_APIVER}
   OUTPUT_NAME freenect)
+target_link_libraries(fakenect ${MATH_LIB})
 
 install (TARGETS fakenect
   DESTINATION "${PROJECT_LIBRARY_INSTALL_DIR}/fakenect")
 
 add_executable(record record.c)
-target_link_libraries(record freenect m)
+target_link_libraries(record freenect)
 install (TARGETS record
   DESTINATION bin)
