=== debian/changelog ===
libfreenect (1:0.2.0+dfsg-2) unstable; urgency=low

  * debian/patches
    - correct-libusb-path.patch - "reintroduced" to fix a single left-out
      versioned include of libusb.h . Should resolve FTBFS on kfreeebsd
      (Closes: #728483)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Nov 2013 14:44:18 -0400

libfreenect (1:0.2.0+dfsg-1) unstable; urgency=low

  * Fresh upstream release
    - support of newer Kinect models (Closes: #723939). Thanks Andrew Harvey
      for the report
    - packaged is actually v0.2.0-1-g5eed1f0 (i.e. 1 commit after release tag)
      to have correct version specified to cmake
    - public library API dropped some functions (retained in the source but
      marked as 'hidden'), SOVERSION boosted to 0.2
  * debian/patches
    - add-missing-libs.patch and modify-fakenect-install.patch -- updated
    - removed (absorbed upstream):
      build-on-big-endian-systems-again.patch
      cameras-memcpy-structs-into-aligned-buffer.patch
      correct-libusb-search-and-include.patch
      remove-libusb-include-from-exported-header.patch
  * debian/copyright
    - updated to include wrappers/ruby/ffi-libfreenect copyright/license
      (Thanks Paul Tagliamonte for the review/report)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Oct 2013 09:42:41 -0400
