=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: libfreenect
 Section: libdevel
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
+Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
 Uploaders: Arne Bernin <arne@alamut.de>, Yaroslav Halchenko <debian@onerussian.com>, Mark Renouf <mark.renouf@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake,  pkg-config, python-support,
+Build-Depends: debhelper (>= 9), cmake,  pkg-config,
  libusb-1.0-0-dev, freeglut3-dev, libxmu-dev, libxi-dev,
- python-dev, cython, python-numpy, doxygen
+ python-all-dev (>= 2.6.6-3~), cython, python-numpy, doxygen
+X-Python-Version: 2.7
 Standards-Version: 3.9.3
 Homepage: http://openkinect.org/
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/libfreenect.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/libfreenect.git
 
-Package: libfreenect0.1
+Package: libfreenect0.2
 Section: libs
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libfreenect
 Description: library for accessing Kinect device
  libfreenect is a cross-platform library that provides the necessary interfaces
@@ -32,7 +34,8 @@
 
 Package: libfreenect-dev
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libfreenect0.1 (= ${binary:Version})
+Multi-Arch: same
+Depends: ${misc:Depends}, libfreenect0.2 (= ${binary:Version})
 Description: library for accessing Kinect device -- development files
  libfreenect is a cross-platform library that provides the necessary interfaces
  to activate, initialize, and communicate data with the Kinect hardware.
@@ -50,7 +53,7 @@
 Package: libfreenect-bin
 Section: utils
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libfreenect-demos (<< 1:0.1.2+dfsg-1)
 Breaks: libfreenect-demos (<< 1:0.1.2+dfsg-1)
 Description: library for accessing Kinect device -- utilities and samples
@@ -68,7 +71,7 @@
 
 Package: libfreenect-demos
 Architecture: any
-Depends: neurodebian-popularity-contest, libfreenect-bin, ${misc:Depends}
+Depends: libfreenect-bin, ${misc:Depends}
 Description: library for accessing Kinect device -- dummy package
  libfreenect is a cross-platform library that provides the necessary interfaces
  to activate, initialize, and communicate data with the Kinect hardware.
@@ -86,7 +89,8 @@
 Package: libfreenect-doc
 Section: doc
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Description: library for accessing Kinect device -- documentation
  libfreenect is a cross-platform library that provides the necessary interfaces
  to activate, initialize, and communicate data with the Kinect hardware.
@@ -104,8 +108,8 @@
 Section: python
 Architecture: any
 Provides: ${python:Provides}
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
-         libfreenect0.1 (= ${binary:Version}), python-numpy
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
+         libfreenect0.2 (= ${binary:Version}), python-numpy
 Suggests: python-matplotlib, python-opencv
 Description: library for accessing Kinect device -- Python bindings
  libfreenect is a cross-platform library that provides the necessary interfaces
@@ -124,7 +128,7 @@
 Package: freenect
 Section: libs
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libfreenect-bin, libfreenect-dev, libfreenect0.1,
+Depends: ${misc:Depends}, libfreenect-bin, libfreenect-dev, libfreenect0.2,
  libfreenect-doc
 Description: library for accessing Kinect device -- metapackage
  libfreenect is a cross-platform library that provides the necessary interfaces
