=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
  https://github.com/OpenKinect/libfreenect/tags .*/tarball/v(\d[\d\.]+)
